const { Unit } = require('libflitter')
const RunDirective = require('./classes/routine/RunDirective')
const Rollcall = require('./classes/directive/Rollcall')
const Routine = require('./classes/directive/Routine')

class AppUnit extends Unit {
    static get name() { return 'misc' }

    directives() {
        return {
            Rollcall,
            Routine,
        }
    }
}

module.exports = exports = AppUnit
