const ServicesUnit = require('libflitter/services/ServicesUnit')
const path = require('path')

class CompatServicesUnit extends ServicesUnit {
    /**
     * Get the name of the service provided by this unit: 'services'
     * @returns {string} - 'services'
     */
    static get name() {
        return 'services'
    }

    constructor() {
        const base_dir = path.resolve(__dirname, '..', 'services')
        super(base_dir)
    }
}

module.exports = exports = CompatServicesUnit
